Get Alerts

Returns a paginated list of alerts across all modules, with support for filtering and sorting.

Sorting: If sort_type is provided, sort_order must also be provided. If neither is provided, defaults to date_sourced descending.

Pagination: Zero-indexed. Default page_size is 30, maximum is 200.

Note: In this endpoint's response, the alert timestamp field is named last_activity_timestamp (instead of last_activity as returned by GET /alert, PUT /alert, and POST /alert).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Headers
string

(optional) Your Doppel Organization Code. Required if user is in multiple organizations.

Query Params
string

Search alerts by URL. Currently only URL search is supported.

string
enum

Filter alerts by queue state
(Note: taken_down is equivalent to Resolved in the Doppel Vision App)

Allowed:
string
enum

Filter by product category.

date-time

Filter alerts created before this date (ISO 8601 format).

date-time

Filter alerts created after this date (ISO 8601 format).

date-time

Filter alerts with last activity at or after this date (ISO 8601 format).

string
enum

The field to sort alerts by. Must be provided together with sort_order. Defaults to date_sourced descending if neither is specified.

  • date_sourced: Sort by alert creation date.
  • date_last_actioned: Sort by the date of the most recent enforcement action.
Allowed:
string
enum

Sort direction. Must be provided together with sort_type. Defaults to desc if neither is specified.

Allowed:
integer
Defaults to 0

Page number for pagination (zero-indexed). Defaults to 0.

integer
1 to 200
Defaults to 30

Number of alerts per page (default 30, max 200)

tags
array of strings

Comma-separated list of tag names to filter alerts by.

tags
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json